// io_expander.c
// for NerdKits with ATmega168

#define F_CPU 14745600

#include <stdio.h>

#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/pgmspace.h>
#include <inttypes.h>

#include "../libnerdkits/i2cmaster.h"

#include "../libnerdkits/delay.h"
#include "../libnerdkits/lcd.h"

int main(void)
	
   {
     int GP0_0 = 1;
	 int GP0_1 = 2;
	 int GP0_2 = 4;
	 int GP0_3 = 8;
	 int GP0_4 = 16;
	 int GP0_5 = 32;
	 int GP0_6 = 64;
	 int GP0_7 = 128;
	 int GP0_all = 255;
	 
	 // Button as Input PB1
	 DDRB &= ~(1<<PB1);
	 
	 // turn on the internal resistors for the pins
	 PORTB |= (1<<PB1); // turn on internal pull up resistor

	//Initialisierung IO Expander
     i2c_init();                             // initialize I2C library
	 
     i2c_start_wait(0x40);     			     // set device address and write mode
	 i2c_write(0x06);						 // Auswahl IODIR (pointer)
	 i2c_write(0x00);						 // DDR Port0 all output	
	 i2c_write(0xFF);						 // DDR Port1 all input 0xFF = B11111111 
	                   
     i2c_stop();                             // set stop conditon = release bus
	 

     
		 while(1)
		 {
		 
		    if(!(PINB & (1<<PB1))) // When Button is pressed
			  { 
				delay_ms(120);	
				
				i2c_start_wait(0x40);
				
				i2c_write(0x00);
				i2c_write(GP0_all);
				
				i2c_stop();				
			  }
		 }
	}
     

	 
